package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ApiCallLogCollection extends AbstractObjectCollection 
{
    public ApiCallLogCollection()
    {
        super(ApiCallLogInfo.class);
    }
    public boolean add(ApiCallLogInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ApiCallLogCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ApiCallLogInfo item)
    {
        return removeObject(item);
    }
    public ApiCallLogInfo get(int index)
    {
        return(ApiCallLogInfo)getObject(index);
    }
    public ApiCallLogInfo get(Object key)
    {
        return(ApiCallLogInfo)getObject(key);
    }
    public void set(int index, ApiCallLogInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ApiCallLogInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ApiCallLogInfo item)
    {
        return super.indexOf(item);
    }
}